Create mandate message
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/messages/"
payload = {
"body": "The customer provided an updated invoice address.",
"title": "Updated invoice address"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
body: JSON.stringify('The customer provided an updated invoice address.'),
title: 'Updated invoice address'
})
};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/mandates/{mandate_id}/messages/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"The customer provided an updated invoice address.\",\n \"title\": \"Updated invoice address\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/messages/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"body\": \"The customer provided an updated invoice address.\",\n \"title\": \"Updated invoice address\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/mandates/{mandate_id}/messages/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"body": "The customer provided an updated invoice address.",
"title": "Updated invoice address"
}
'{
"author": {
"type": "api"
},
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"editable": true,
"href": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "order"
},
"response_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "client",
"state": "under_review",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Messages
Create mandate message
Messages exchanged with paywise about one order or one case.
POST
/
v2
/
mandates
/
{mandate_id}
/
messages
/
Create mandate message
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/messages/"
payload = {
"body": "The customer provided an updated invoice address.",
"title": "Updated invoice address"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
body: JSON.stringify('The customer provided an updated invoice address.'),
title: 'Updated invoice address'
})
};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/mandates/{mandate_id}/messages/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"The customer provided an updated invoice address.\",\n \"title\": \"Updated invoice address\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/messages/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"body\": \"The customer provided an updated invoice address.\",\n \"title\": \"Updated invoice address\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/mandates/{mandate_id}/messages/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"body": "The customer provided an updated invoice address.",
"title": "Updated invoice address"
}
'{
"author": {
"type": "api"
},
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"editable": true,
"href": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "order"
},
"response_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "client",
"state": "under_review",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Headers
Required client-supplied command key scoped to the selected Case company or Partner owner, method, operation and path. An exact retry replays the original response while it is retained, including after credential rotation or replacement. Current permissions are required.
Maximum string length:
255Body
application/json
Unknown and read-only request fields are rejected with a validation error instead of being silently ignored.
Response
Resource representation with a native UUID id.
